Published Artifacts - List
Wyświetlanie listy artefaktów dla wersji opublikowanej definicji strategii.
GET https://management.azure.com/{resourceScope}/providers/Microsoft.Blueprint/blueprints/{blueprintName}/versions/{versionId}/artifacts?api-version=2018-11-01-preview
Parametry identyfikatora URI
| Nazwa | W | Wymagane | Typ | Opis |
|---|---|---|---|---|
|
blueprint
|
path | True |
string |
Nazwa definicji strategii. |
|
resource
|
path | True |
string |
Zakres zasobu. Prawidłowe zakresy to: grupa zarządzania (format: "/providers/Microsoft.Management/managementGroups/{managementGroup}"), subskrypcja (format: "/subscriptions/{subscriptionId}"). |
|
version
|
path | True |
string |
Wersja opublikowanej definicji strategii. |
|
api-version
|
query | True |
string |
Wersja interfejsu API klienta. |
Odpowiedzi
| Nazwa | Typ | Opis |
|---|---|---|
| 200 OK |
OK — artefakty pobranej wersji opublikowanej definicji strategii. |
|
| Other Status Codes |
Odpowiedź na błąd strategii. |
Zabezpieczenia
azure_auth
Przepływ protokołu OAuth2 usługi Azure Active Directory
Typ:
oauth2
Flow:
implicit
Adres URL autoryzacji:
https://login.microsoftonline.com/common/oauth2/authorize
Zakresy
| Nazwa | Opis |
|---|---|
| user_impersonation | personifikacja konta użytkownika |
Przykłady
|
MG-Artifact |
|
Sub-Artifact |
MG-ArtifactList
Przykładowe żądanie
GET https://management.azure.com/providers/Microsoft.Management/managementGroups/ContosoOnlineGroup/providers/Microsoft.Blueprint/blueprints/simpleBlueprint/versions/V2/artifacts?api-version=2018-11-01-preview
Przykładowa odpowiedź
{
"value": [
{
"properties": {
"displayName": "enforce owners of given subscription",
"roleDefinitionId": "/providers/Microsoft.Authorization/roleDefinitions/acdd72a7-3385-48ef-bd42-f606fba81ae7",
"principalIds": "[parameters('owners')]"
},
"kind": "roleAssignment",
"id": "/providers/Microsoft.Management/managementGroups/ContosoOnlineGroup/providers/Microsoft.Blueprint/blueprints/simpleBlueprint/versions/V2/artifacts/ownerAssignment",
"type": "Microsoft.Blueprint/blueprints/versions/artifacts",
"name": "ownerAssignment"
},
{
"properties": {
"displayName": "force costCenter tag on all resources",
"policyDefinitionId": "/providers/Microsoft.Authorization/policyDefinitions/1e30110a-5ceb-460c-a204-c1c3969c6d62",
"parameters": {
"tagName": {
"value": "costCenter"
},
"tagValue": {
"value": "[parameter('costCenter')]"
}
}
},
"kind": "policyAssignment",
"id": "/providers/Microsoft.Management/managementGroups/ContosoOnlineGroup/providers/Microsoft.Blueprint/blueprints/simpleBlueprint/versions/V2/artifacts/costCenterPolicy",
"type": "Microsoft.Blueprint/blueprints/versions/artifacts",
"name": "costCenterPolicy"
},
{
"properties": {
"template": {
"contentVersion": "1.0.0.0",
"parameters": {
"storageAccountType": {
"type": "string",
"defaultValue": "Standard_LRS",
"allowedValues": [
"Standard_LRS",
"Standard_GRS",
"Standard_ZRS",
"Premium_LRS"
],
"metadata": {
"description": "Storage Account type"
}
}
},
"variables": {
"storageAccountName": "[concat(uniquestring(resourceGroup().id), 'standardsa')]"
},
"resources": [
{
"type": "Microsoft.Storage/storageAccounts",
"name": "[variables('storageAccountName')]",
"apiVersion": "2016-01-01",
"location": "[resourceGroup().location]",
"sku": {
"name": "[parameters('storageAccountType')]"
},
"kind": "Storage",
"properties": {}
}
],
"outputs": {
"storageAccountName": {
"type": "string",
"value": "[variables('storageAccountName')]"
}
}
},
"resourceGroup": "storageRG",
"parameters": {
"storageAccountType": {
"value": "[parameters('storageAccountType')]"
}
}
},
"kind": "template",
"id": "/providers/Microsoft.Management/managementGroups/ContosoOnlineGroup/providers/Microsoft.Blueprint/blueprints/simpleBlueprint/versions/V2/artifacts/storageTemplate",
"type": "Microsoft.Blueprint/blueprints/versions/artifacts",
"name": "storageTemplate"
}
]
}
Sub-ArtifactList
Przykładowe żądanie
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Blueprint/blueprints/simpleBlueprint/versions/V2/artifacts?api-version=2018-11-01-preview
Przykładowa odpowiedź
{
"value": [
{
"properties": {
"displayName": "enforce owners of given subscription",
"roleDefinitionId": "/providers/Microsoft.Authorization/roleDefinitions/acdd72a7-3385-48ef-bd42-f606fba81ae7",
"principalIds": "[parameters('owners')]"
},
"kind": "roleAssignment",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Blueprint/blueprints/simpleBlueprint/versions/V2/artifacts/ownerAssignment",
"type": "Microsoft.Blueprint/blueprints/versions/artifacts",
"name": "ownerAssignment"
},
{
"properties": {
"displayName": "force costCenter tag on all resources",
"policyDefinitionId": "/providers/Microsoft.Authorization/policyDefinitions/1e30110a-5ceb-460c-a204-c1c3969c6d62",
"parameters": {
"tagName": {
"value": "costCenter"
},
"tagValue": {
"value": "[parameter('costCenter')]"
}
}
},
"kind": "policyAssignment",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Blueprint/blueprints/simpleBlueprint/versions/V2/artifacts/costCenterPolicy",
"type": "Microsoft.Blueprint/blueprints/versions/artifacts",
"name": "costCenterPolicy"
},
{
"properties": {
"template": {
"contentVersion": "1.0.0.0",
"parameters": {
"storageAccountType": {
"type": "string",
"defaultValue": "Standard_LRS",
"allowedValues": [
"Standard_LRS",
"Standard_GRS",
"Standard_ZRS",
"Premium_LRS"
],
"metadata": {
"description": "Storage Account type"
}
}
},
"variables": {
"storageAccountName": "[concat(uniquestring(resourceGroup().id), 'standardsa')]"
},
"resources": [
{
"type": "Microsoft.Storage/storageAccounts",
"name": "[variables('storageAccountName')]",
"apiVersion": "2016-01-01",
"location": "[resourceGroup().location]",
"sku": {
"name": "[parameters('storageAccountType')]"
},
"kind": "Storage",
"properties": {}
}
],
"outputs": {
"storageAccountName": {
"type": "string",
"value": "[variables('storageAccountName')]"
}
}
},
"resourceGroup": "storageRG",
"parameters": {
"storageAccountType": {
"value": "[parameters('storageAccountType')]"
}
}
},
"kind": "template",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Blueprint/blueprints/simpleBlueprint/versions/V2/artifacts/storageTemplate",
"type": "Microsoft.Blueprint/blueprints/versions/artifacts",
"name": "storageTemplate"
}
]
}
Definicje
| Nazwa | Opis |
|---|---|
|
Artifact |
Lista artefaktów strategii. |
|
Cloud |
|
|
Error |
Dodatkowe informacje o błędzie zarządzania zasobami. |
|
Error |
Odpowiedź na błąd |
|
key |
Określa link do usługi Key Vault. |
|
Parameter |
Wartość określonego parametru. Może to być wartość "wartość" lub "odwołanie", ale nie oba. |
|
Policy |
Artefakt strategii, który stosuje przypisanie zasad. |
|
Role |
Artefakt strategii, który stosuje przypisanie roli. |
|
Secret |
Odwołanie do wpisu tajnego usługi Key Vault. |
|
Template |
Artefakt strategii, który wdraża szablon usługi Resource Manager. |
ArtifactList
Lista artefaktów strategii.
| Nazwa | Typ | Opis |
|---|---|---|
| nextLink |
string |
Połącz z następną stroną wyników. |
| value | Artifact[]: |
Lista artefaktów strategii. |
CloudError
| Nazwa | Typ | Opis |
|---|---|---|
| error |
Odpowiedź na błąd |
ErrorAdditionalInfo
Dodatkowe informacje o błędzie zarządzania zasobami.
| Nazwa | Typ | Opis |
|---|---|---|
| info |
object |
Dodatkowe informacje. |
| type |
string |
Dodatkowy typ informacji. |
ErrorResponse
Odpowiedź na błąd
| Nazwa | Typ | Opis |
|---|---|---|
| additionalInfo |
Dodatkowe informacje o błędzie. |
|
| code |
string |
Kod błędu. |
| details |
Szczegóły błędu. |
|
| message |
string |
Komunikat o błędzie. |
| target |
string |
Element docelowy błędu. |
keyVaultReference
Określa link do usługi Key Vault.
| Nazwa | Typ | Opis |
|---|---|---|
| id |
string |
Identyfikator zasobu platformy Azure usługi Key Vault. |
ParameterValue
Wartość określonego parametru. Może to być wartość "wartość" lub "odwołanie", ale nie oba.
| Nazwa | Typ | Opis |
|---|---|---|
| reference |
Wartość parametru jako typ odwołania. |
|
| value |
object |
Wartość parametru. Każda prawidłowa wartość JSON jest dozwolona, w tym obiekty, tablice, ciągi, liczby i wartości logiczne. |
PolicyAssignmentArtifact
Artefakt strategii, który stosuje przypisanie zasad.
| Nazwa | Typ | Opis |
|---|---|---|
| id |
string |
Identyfikator ciągu używany do lokalizowania dowolnego zasobu na platformie Azure. |
| kind |
string:
policy |
Określa rodzaj artefaktu strategii. |
| name |
string |
Nazwa tego zasobu. |
| properties.dependsOn |
string[] |
Artefakty, które należy wdrożyć przed określonym artefaktem. |
| properties.description |
string maxLength: 500 |
Wiele wierszy wyjaśnia ten zasób. |
| properties.displayName |
string maxLength: 256 |
Jeden ciąg liniowy wyjaśnia ten zasób. |
| properties.parameters |
<string,
Parameter |
Wartości parametrów definicji zasad. |
| properties.policyDefinitionId |
string |
Identyfikator zasobu platformy Azure definicji zasad. |
| properties.resourceGroup |
string |
Nazwa symbolu zastępczego grupy zasobów, do którego zostaną przypisane zasady. |
| type |
string |
Typ tego zasobu. |
RoleAssignmentArtifact
Artefakt strategii, który stosuje przypisanie roli.
| Nazwa | Typ | Opis |
|---|---|---|
| id |
string |
Identyfikator ciągu używany do lokalizowania dowolnego zasobu na platformie Azure. |
| kind |
string:
role |
Określa rodzaj artefaktu strategii. |
| name |
string |
Nazwa tego zasobu. |
| properties.dependsOn |
string[] |
Artefakty, które należy wdrożyć przed określonym artefaktem. |
| properties.description |
string maxLength: 500 |
Wiele wierszy wyjaśnia ten zasób. |
| properties.displayName |
string maxLength: 256 |
Jeden ciąg liniowy wyjaśnia ten zasób. |
| properties.principalIds |
Tablica tożsamości użytkowników lub grup w usłudze Azure Active Directory. Definicja roli będzie stosowana do każdej tożsamości. |
|
| properties.resourceGroup |
string |
RoleAssignment będzie zakresem dla tej grupy zasobów. Jeśli jest ona pusta, zakresy są ograniczone do subskrypcji. |
| properties.roleDefinitionId |
string |
Identyfikator zasobu platformy Azure roliDefinition. |
| type |
string |
Typ tego zasobu. |
SecretValueReference
Odwołanie do wpisu tajnego usługi Key Vault.
| Nazwa | Typ | Opis |
|---|---|---|
| keyVault |
Określa odwołanie do danej usługi Azure Key Vault. |
|
| secretName |
string |
Nazwa wpisu tajnego. |
| secretVersion |
string |
Wersja wpisu tajnego do użycia. Jeśli pole pozostanie puste, zostanie użyta najnowsza wersja wpisu tajnego. |
TemplateArtifact
Artefakt strategii, który wdraża szablon usługi Resource Manager.
| Nazwa | Typ | Opis |
|---|---|---|
| id |
string |
Identyfikator ciągu używany do lokalizowania dowolnego zasobu na platformie Azure. |
| kind |
string:
template |
Określa rodzaj artefaktu strategii. |
| name |
string |
Nazwa tego zasobu. |
| properties.dependsOn |
string[] |
Artefakty, które należy wdrożyć przed określonym artefaktem. |
| properties.description |
string maxLength: 500 |
Wiele wierszy wyjaśnia ten zasób. |
| properties.displayName |
string maxLength: 256 |
Jeden ciąg liniowy wyjaśnia ten zasób. |
| properties.parameters |
<string,
Parameter |
Wartości parametrów artefaktu strategii szablonu usługi Resource Manager. |
| properties.resourceGroup |
string |
Jeśli ma to zastosowanie, nazwa symbolu zastępczego grupy zasobów, do którego zostanie wdrożony artefakt strategii szablonu usługi Resource Manager. |
| properties.template |
object |
Treść artefaktu strategii szablonu usługi Resource Manager. |
| type |
string |
Typ tego zasobu. |